org.apache.xmlbeans

## Interface XmlByte

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInt, XmlInteger, XmlLong, XmlObject, XmlShort, XmlTokenSource

All Known Implementing Classes:
  XmlByteImpl

    public interface XmlByte
    extends XmlShort

Corresponds to the XML Schema xs:byte type.

Naturally, convertible to Java byte.

### Field Summary

Fields
`static XmlObjectFactory<XmlByte>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`byte` `getByteValue()` Returns this value as a byte
`void` `setByteValue(byte s)` Sets this value as a byte

### Methods inherited from interface org.apache.xmlbeans.XmlShort

`getShortValue, setShortValue`

### Methods inherited from interface org.apache.xmlbeans.XmlInt

`getIntValue, setIntValue`

### Methods inherited from interface org.apache.xmlbeans.XmlLong

`getLongValue, setLongValue`

### Methods inherited from interface org.apache.xmlbeans.XmlInteger

`getBigIntegerValue, setBigIntegerValue`

### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

`getBigDecimalValue, setBigDecimalValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlByte> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.

### Method Detail

#### getByteValue

    byte getByteValue()

Returns this value as a byte

#### setByteValue

    void setByteValue(byte s)

Sets this value as a byte